org.mariadb.jdbc.internal.logging

## Class ProtocolLoggingProxy

- java.lang.Object
- - org.mariadb.jdbc.internal.logging.ProtocolLoggingProxy

All Implemented Interfaces:
  InvocationHandler

    public class ProtocolLoggingProxy
    extends Object
    implements InvocationHandler

### Field Summary

Fields
`protected int` `maxQuerySizeToLog`
`protected boolean` `profileSql`
`protected Protocol` `protocol`
`protected Long` `slowQueryThresholdNanos`

### Constructor Summary

Constructors
Constructor and Description
`ProtocolLoggingProxy()`
`ProtocolLoggingProxy(Protocol protocol, Options options)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `invoke(Object proxy, Method method, Object[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### profileSql

    protected boolean profileSql

#### slowQueryThresholdNanos

    protected Long slowQueryThresholdNanos

#### maxQuerySizeToLog

    protected int maxQuerySizeToLog

#### protocol

    protected Protocol protocol

### Constructor Detail

#### ProtocolLoggingProxy

    public ProtocolLoggingProxy()

#### ProtocolLoggingProxy

    public ProtocolLoggingProxy(Protocol protocol,
                                Options options)

Constructor. Will create a proxy around protocol to log queries.

Parameters:
  `protocol` - protocol to proxy
  `options` - options

### Method Detail

#### invoke

    public Object invoke(Object proxy,
                         Method method,
                         Object[] args)
                  throws Throwable

Specified by:
  `invoke` in interface `InvocationHandler`
Throws:
  `Throwable`